Create webhook

Create webhook. See the OpenAPI-defined parameters, request body, and responses below.

POST /Webhook

Create webhook. See the OpenAPI-defined parameters, request body, and responses below.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: WebhookDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
enablebooleanNo——
namestringNo—nullable
webhookTypeWebhookTypeNo——
urlstringNo—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Webhook' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "enable": true,
  "name": "string",
  "webhookType": 0,
  "url": "string"
}'

Responses

StatusDescriptionResponse body
200OKNo response body is defined.

Data models

WebhookDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
enablebooleanNo——
namestringNo—nullable
webhookTypeWebhookTypeNo——
urlstringNo—nullable
WebhookType

0 = EvaluationResult; 2 = ConversationEnded; 3 = ConversationDeleted; 4 = CallTransferred; 5 = DocumentNew; 6 = DocumentInProgress; 7 = DocumentTextExtracted; 8 = DocumentError; 9 = DocumentCompleted; 10 = DocumentCancelled

integer